## ros-humble-launch-testing 1.0.4

=== debian/changelog ===
ros-humble-launch-testing (1.0.4-1jammy) jammy; urgency=high

  * Allow ReadyToTest() usage in event handler (#681 <https://github.com/ros2/launch/issues/681>)
  * Inherit markers from generate_test_description (#670 <https://github.com/ros2/launch/issues/670>) (#674 <https://github.com/ros2/launch/issues/674>)
  * Contributors: Nikolai Morin, mergify[bot]

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 10 Jan 2023 06:00:00 -0000

ros-humble-launch-testing (1.0.3-1jammy) jammy; urgency=high

  * Fix Typo (#641 <https://github.com/ros2/launch/issues/641>) (#644 <https://github.com/ros2/launch/issues/644>)
  * Switch to using a comprehension for process_names. (#614 <https://github.com/ros2/launch/issues/614>) (#615 <https://github.com/ros2/launch/issues/615>)
  * Contributors: mergify[bot]

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 18 Oct 2022 05:00:00 -0000

ros-humble-launch-testing (1.0.2-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 10 May 2022 05:00:00 -0000

ros-humble-launch-testing (1.0.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 13 Apr 2022 05:00:00 -0000

ros-humble-launch-testing (1.0.0-1jammy) jammy; urgency=high

  * Removed the deprecated ready_fn feature (#589 <https://github.com/ros2/launch/issues/589>)
  * Contributors: William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 12 Apr 2022 05:00:00 -0000

ros-humble-launch-testing (0.23.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 08 Apr 2022 05:00:00 -0000

ros-humble-launch-testing (0.23.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 30 Mar 2022 05:00:00 -0000

ros-humble-launch-testing (0.22.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 28 Mar 2022 05:00:00 -0000

ros-humble-launch-testing (0.21.1-1jammy) jammy; urgency=high

  * Added case for instances of ExecuteLocal in resolveProcess function (#587 <https://github.com/ros2/launch/issues/587>)
  * Add compatitibility with pytest 7 (#592 <https://github.com/ros2/launch/issues/592>)
  * Contributors: Matt Lanting, Shane Loretz

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 01 Mar 2022 06:00:00 -0000

ros-humble-launch-testing (0.21.0-1jammy) jammy; urgency=high

  * Renamed three files from example_processes (#573 <https://github.com/ros2/launch/issues/573>)
  * Fix launch_testing README.md proc keyword to process. (#554 <https://github.com/ros2/launch/issues/554>) (#560 <https://github.com/ros2/launch/issues/560>)
  * Contributors: Jacob Perron, Khush Jain

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Jan 2022 06:00:00 -0000

ros-humble-launch-testing (0.20.0-1jammy) jammy; urgency=high

  * Declare frontend group dependency & use explicit dependencies in launch_testing (#520 <https://github.com/ros2/launch/issues/520>)
  * Update maintainers to Aditya Pande and Michel Hidalgo (#559 <https://github.com/ros2/launch/issues/559>)
  * Updated maintainers (#555 <https://github.com/ros2/launch/issues/555>)
  * First prototype of native pytest plugin for launch based tests (#528 <https://github.com/ros2/launch/issues/528>)
  * Adding Executable description class (#454 <https://github.com/ros2/launch/issues/454>)
  * Add a "hello world" style example (#532 <https://github.com/ros2/launch/issues/532>)
  * Contributors: Aditya Pande, Audrow Nash, Christophe Bedard, Ivan Santiago Paunovic, roger-strain

 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 29 Nov 2021 06:00:00 -0000

ros-humble-launch-testing (0.19.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Thu, 15 Jul 2021 05:00:00 -0000

ros-humble-launch-testing (0.18.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 18 Jun 2021 05:00:00 -0000

ros-humble-launch-testing (0.17.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 06 Apr 2021 05:00:00 -0000

ros-humble-launch-testing (0.16.0-1jammy) jammy; urgency=high

  * Use unittest.mock instead of mock (#487 <https://github.com/ros2/launch/issues/487>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 19 Mar 2021 05:00:00 -0000

ros-humble-launch-testing (0.15.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Mon, 25 Jan 2021 06:00:00 -0000

ros-humble-launch-testing (0.14.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 08 Dec 2020 06:00:00 -0000

ros-humble-launch-testing (0.13.0-1jammy) jammy; urgency=high

  * Update package maintainers (#465 <https://github.com/ros2/launch/issues/465>)
  * Contributors: Michel Hidalgo

 -- Aditya Pande <aditya.pande@openrobotics.org>  Wed, 04 Nov 2020 06:00:00 -0000

ros-humble-launch-testing (0.12.0-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 18 Aug 2020 05:00:00 -0000

ros-humble-launch-testing (0.11.1-1jammy) jammy; urgency=high



 -- Aditya Pande <aditya.pande@openrobotics.org>  Fri, 14 Aug 2020 05:00:00 -0000

ros-humble-launch-testing (0.11.0-1jammy) jammy; urgency=high

  * Disable cleanup of test cases once they have been run (#406 <https://github.com/ros2/launch/issues/406>)
  * Fix max() with empty sequence (#440 <https://github.com/ros2/launch/issues/440>)
  * Use unittest.TestCase.id() for pytest failure reprs. (#436 <https://github.com/ros2/launch/issues/436>)
  * Use unittest.TestCase.id() to put together jUnit XML output. (#435 <https://github.com/ros2/launch/issues/435>)
  * Claim ownership (#433 <https://github.com/ros2/launch/issues/433>)
  * Contributors: Dirk Thomas, Michel Hidalgo, Scott K Logan, William Woodall

 -- Aditya Pande <aditya.pande@openrobotics.org>  Tue, 04 Aug 2020 05:00:00 -0000

ros-humble-launch-testing (0.10.2-1jammy) jammy; urgency=high


